You are not logged in.

#1 2018-06-14 07:01:55

Linux2Brain
Member
Registered: 2018-03-05
Posts: 11

[solved] libdesktop-agnostic-git: UnicodeDecodeError: build fails

Hi,

I'm trying to install avant-window-navigator-git, but libdesktop-agnostic-git is buggy:

2018-06-14 08:51:37,652 - main - main - ERROR - 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/aurman/main.py", line 734, in main
    process(argv[1:])
  File "/usr/lib/python3.6/site-packages/aurman/main.py", line 646, in process
    package.show_pkgbuild(noedit, show_changes, pgp_fetch, keyserver, always_edit, default_show_changes)
  File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 1051, in show_pkgbuild
    self.search_and_fetch_pgp_keys(fetch_always, keyserver)
  File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 922, in search_and_fetch_pgp_keys
    pgp_keys = Package.getPGPKeys(os.path.join(package_dir, "PKGBUILD"))
  File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 214, in getPGPKeys
    pkgbuild_content: str = f.read().strip()
  File "/usr/lib/python3.6/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 55: ordinal not in range(128) 

First I tried to install avant-window-navigator (not the git version), but I get the same error regarding libdesktop-agnostic as I get from libdesktop-agnostic-git,
the errors are identical.

Fresh installed arch with base-devel, kernel 4.16.13-2-ARCH.

Full log:

aurman -S avant-window-navigator-git
~~ initializing aurman...
~~ calculating solutions...

:: The following 30 package(s) are getting installed:
   community/autoconf-archive      /  ->  1:2018.03.13-1
   aur/avant-window-navigator-git  /  ->  0.4.2.r16.gb8c22488-1
   extra/docbook-xml               /  ->  4.5-7
   extra/docbook-xsl               /  ->  1.79.2-4
   extra/gconf                     /  ->  3.2.6+11+g07808097-3
   extra/gd                        /  ->  2.2.5-1
   core/glib2-docs                 /  ->  2.56.1-1
   extra/gnome-common              /  ->  3.18.0-2
   extra/gobject-introspection     /  ->  1.56.1-1
   extra/graphviz                  /  ->  2.40.1-11
   extra/gsfonts                   /  ->  20170829-1
   extra/gtk-doc                   /  ->  1.28-1
   extra/gtkmm                     /  ->  2.24.5-2
   extra/gts                       /  ->  0.7.6-4
   extra/itstool                   /  ->  1:2.0.2+5+g676f3f7-1
   aur/libdesktop-agnostic-git     /  ->  2016.05.02-2
   extra/libwnck                   /  ->  2.31.0-2
   extra/libxaw                    /  ->  1.0.13-2
   extra/python-anytree            /  ->  2.4.3-1
   extra/python-beaker             /  ->  1.10.0-1
   extra/python-dbus-common        /  ->  1.2.6-1
   extra/python-lxml               /  ->  4.2.1-1
   extra/python-mako               /  ->  1.0.7-1
   extra/python-markupsafe         /  ->  1.0-1
   community/python-pygments       /  ->  2.2.0-1
   extra/python2-dbus              /  ->  1.2.6-1
   extra/python2-xdg               /  ->  0.26-1
   extra/source-highlight          /  ->  3.1.8-15
   extra/vala                      /  ->  0.40.6-1
   extra/yelp-tools                /  ->  3.28.0-1

?? Do you want to continue? Y/n: 
~~ looking for new pkgbuilds and fetching them...
?? Do you want to see the changes of libdesktop-agnostic-git? N/y: 
2018-06-14 08:51:37,652 - main - main - ERROR - 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/aurman/main.py", line 734, in main
    process(argv[1:])
  File "/usr/lib/python3.6/site-packages/aurman/main.py", line 646, in process
    package.show_pkgbuild(noedit, show_changes, pgp_fetch, keyserver, always_edit, default_show_changes)
  File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 1051, in show_pkgbuild
    self.search_and_fetch_pgp_keys(fetch_always, keyserver)
  File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 922, in search_and_fetch_pgp_keys
    pgp_keys = Package.getPGPKeys(os.path.join(package_dir, "PKGBUILD"))
  File "/usr/lib/python3.6/site-packages/aurman/classes.py", line 214, in getPGPKeys
    pkgbuild_content: str = f.read().strip()
  File "/usr/lib/python3.6/encodings/ascii.py", line 26, in decode
    return codecs.ascii_decode(input, self.errors)[0]
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 55: ordinal not in range(128) 

The awn project seems to be maintained again...

Please help

P.S.: Or is this actually an aurman issue? wink

--> although I ran localectl set-locale LANG=de_DE.UTF-8 during installation, the /etc/locale.conf didn't get set. I've set it, now everything is working.
--> Back to business smile

Last edited by Linux2Brain (2018-06-14 07:15:40)

Offline

Board footer

Powered by FluxBB